# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::RenderQueueSorterAggressive Class Reference

Sorts the RenderTokens by Effect rank -> Actor rank -> blending on/off -> Z distance form the Camera -> GLSL program -> render state set -> enable set -> texture set -> light set -> Shader pointer -> Renderable pointer. More...

`#include <RenderQueueSorter.hpp>`

Inheritance diagram for vl::RenderQueueSorterAggressive:

List of all members.

## Public Member Functions

| RenderQueueSorterAggressive ()
virtual bool | mightNeedZCameraDistance () const
virtual bool | confirmZCameraDistanceNeed (const RenderToken *a) const
virtual bool | operator() (const RenderToken *a, const RenderToken *b) const
EDepthSortMode | depthSortMode () const
void | setDepthSortMode (EDepthSortMode mode)

## Public Attributes

EDepthSortMode | mDepthSortMode

## Detailed Description

Sorts the RenderTokens by Effect rank -> Actor rank -> blending on/off -> Z distance form the Camera -> GLSL program -> render state set -> enable set -> texture set -> light set -> Shader pointer -> Renderable pointer.

Definition at line 294 of file RenderQueueSorter.hpp.

## Constructor & Destructor Documentation

vl::RenderQueueSorterAggressive::RenderQueueSorterAggressive | ( | ) | `[inline]`

Definition at line 299 of file RenderQueueSorter.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual bool vl::RenderQueueSorterAggressive::mightNeedZCameraDistance | ( | ) | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 304 of file RenderQueueSorter.hpp.

virtual bool vl::RenderQueueSorterAggressive::confirmZCameraDistanceNeed | ( | const RenderToken * | a ) | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 305 of file RenderQueueSorter.hpp.

References vl::AlphaDepthSort, vl::AlwaysDepthSort, vl::Shader::isBlendingEnabled(), mDepthSortMode, vl::RenderToken::mShader, and vl::NeverDepthSort.

Referenced by operator()().

virtual bool vl::RenderQueueSorterAggressive::operator() | ( | const RenderToken * | a,
|  | const RenderToken * | b
| ) |  | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

Definition at line 311 of file RenderQueueSorter.hpp.

References vl::AlwaysDepthSort, confirmZCameraDistanceNeed(), vl::Shader::getEnableSet(), vl::Shader::getRenderStateSet(), vl::Shader::glslProgram(), vl::Shader::isBlendingEnabled(), vl::RenderToken::mActor, vl::RenderToken::mCameraDistance, mDepthSortMode, vl::RenderToken::mEffectRenderRank, vl::RenderToken::mRenderable, vl::RenderToken::mShader, vl::Actor::renderBlock(), and vl::Actor::renderRank().

EDepthSortMode vl::RenderQueueSorterAggressive::depthSortMode | ( | ) | const`[inline]`

Definition at line 368 of file RenderQueueSorter.hpp.

References mDepthSortMode.

void vl::RenderQueueSorterAggressive::setDepthSortMode | ( | EDepthSortMode | mode ) | `[inline]`

Definition at line 369 of file RenderQueueSorter.hpp.

References mDepthSortMode.

## Member Data Documentation

EDepthSortMode vl::RenderQueueSorterAggressive::mDepthSortMode

Definition at line 372 of file RenderQueueSorter.hpp.

Referenced by confirmZCameraDistanceNeed(), depthSortMode(), operator()(), and setDepthSortMode().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderQueueSorter.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:46.
Permission is granted to use this page to write and publish articles regarding Visualization Library.